org.apache.http.impl.client

## Class WinHttpClients

- java.lang.Object
- - org.apache.http.impl.client.WinHttpClients

    public class WinHttpClients
    extends Object

Factory methods for `CloseableHttpClient` instances configured to use integrated Windows authentication by default.

Since:
  4.4

### Method Summary

Methods
`static CloseableHttpClient` `createDefault()` Creates `CloseableHttpClient` instance with default configuration.
`static CloseableHttpClient` `createSystem()` Creates `CloseableHttpClient` instance with default configuration based on system properties.
`static HttpClientBuilder` `custom()` Creates builder object for construction of custom `CloseableHttpClient` instances.
`static boolean` `isWinAuthAvailable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isWinAuthAvailable

    public static boolean isWinAuthAvailable()

#### custom

    public static HttpClientBuilder custom()

Creates builder object for construction of custom `CloseableHttpClient` instances.

#### createDefault

    public static CloseableHttpClient createDefault()

Creates `CloseableHttpClient` instance with default configuration.

#### createSystem

    public static CloseableHttpClient createSystem()

Creates `CloseableHttpClient` instance with default configuration based on system properties.